Package: unittest2 / 1.1.0-7

Metadata

Package Version Patches format
unittest2 1.1.0-7 3.0 (quilt)

Patch series

view the series file
Patch File delta Description
drop argparse.patch | (download)

setup.py | 2 1 + 1 - 0 !
1 file changed, 1 insertion(+), 1 deletion(-)

 drop requirement for argparse

 Ubuntu and Debian both ship minimum python versions that include
 argparse; drop this from REQUIRES as its breaks the py3 unit tests
python3.5 support.patch | (download)

unittest2/test/test_loader.py | 3 2 + 1 - 0 !
1 file changed, 2 insertions(+), 1 deletion(-)

 fix string match for python3.5 support
 unittest2 (1.1.0-6.1) unstable; urgency=medium
 .
   * Non-maintainer upload.
   * Fix failing string match in unit tests for attribute error
     exceptions with python3.5. (Closes: #802361)